#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: shake
version: 0.16
id: shake-0.16-CA3P05Ad2oW17DkK5VPSS9
key: shake-0.16-CA3P05Ad2oW17DkK5VPSS9
license: BSD3
copyright: Neil Mitchell 2011-2017
maintainer: Neil Mitchell <ndmitchell@gmail.com>
homepage: http://shakebuild.com
synopsis: Build system library, like Make, but more accurate dependencies.
description:
    Shake is a Haskell library for writing build systems - designed as a
    replacement for @make@. See "Development.Shake" for an introduction,
    including an example. Further examples are included in the Cabal tarball,
    under the @Examples@ directory. The homepage contains links to a user
    manual, an academic paper and further information:
    <http://shakebuild.com>
    .
    To use Shake the user writes a Haskell program
    that imports "Development.Shake", defines some build rules, and calls
    the '\''Development.Shake.shakeArgs'\'' function. Thanks to do notation and infix
    operators, a simple Shake build system
    is not too dissimilar from a simple Makefile. However, as build systems
    get more complex, Shake is able to take advantage of the excellent
    abstraction facilities offered by Haskell and easily support much larger
    projects. The Shake library provides all the standard features available in other
    build systems, including automatic parallelism and minimal rebuilds.
    Shake also provides more accurate dependency tracking, including seamless
    support for generated files, and dependencies on system information
    (e.g. compiler version).
category: Development, Shake
author: Neil Mitchell <ndmitchell@gmail.com>
exposed: True
indefinite: False
exposed-modules:
    Development.Shake Development.Shake.Classes
    Development.Shake.Command Development.Shake.Config
    Development.Shake.FilePath Development.Shake.Forward
    Development.Shake.Rule Development.Shake.Util
hidden-modules: Development.Ninja.Env Development.Ninja.Lexer
                Development.Ninja.Parse Development.Ninja.Type
                Development.Shake.Internal.Args General.Makefile
                Development.Shake.Internal.Core.Action
                Development.Shake.Internal.Core.Rendezvous
                Development.Shake.Internal.Core.Rules
                Development.Shake.Internal.Core.Run
                Development.Shake.Internal.CmdOption
                Development.Shake.Internal.Core.Database
                Development.Shake.Internal.Core.Types
                Development.Shake.Internal.Demo Development.Shake.Internal.Derived
                Development.Shake.Internal.Errors
                Development.Shake.Internal.FileInfo
                Development.Shake.Internal.FilePattern
                Development.Shake.Internal.Core.Monad
                Development.Shake.Internal.Core.Pool
                Development.Shake.Internal.Profile
                Development.Shake.Internal.Progress
                Development.Shake.Internal.Resource
                Development.Shake.Internal.Rules.Directory
                Development.Shake.Internal.Rules.File
                Development.Shake.Internal.Rules.Files
                Development.Shake.Internal.Rules.Oracle
                Development.Shake.Internal.Rules.OrderOnly
                Development.Shake.Internal.Rules.Rerun
                Development.Shake.Internal.Shake
                Development.Shake.Internal.Core.Storage
                Development.Shake.Internal.Options Development.Shake.Internal.Value
                General.Bilist General.Binary General.Chunks General.Cleanup
                General.Concurrent General.Extra General.FileLock General.GetOpt
                General.Ids General.Intern General.ListBuilder General.Process
                Development.Shake.Internal.FileName General.Template General.Timing
                Paths_shake
abi: dc418418bd76d7c25f030578d6a1f4ef
trusted: False
import-dirs: /usr/lib/ghc-8.2.2/site-local/shake-0.16
library-dirs: /usr/lib/ghc-8.2.2/site-local/shake-0.16
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/haskell-shake
hs-libraries: HSshake-0.16-CA3P05Ad2oW17DkK5VPSS9
depends:
    base-4.10.1.0 directory-1.3.0.2
    hashable-1.2.6.1-6LeHpYZ4iRgEy9P36eCQfR binary-0.8.5.1
    filepath-1.4.1.2 process-1.6.1.0
    unordered-containers-0.2.8.0-YOGDwOwys3HjU5i3g27KB
    bytestring-0.10.8.2 utf8-string-1.0.1.1-7sQ7eR5H5ED7poickls5aO
    time-1.8.0.2 random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We
    js-jquery-3.2.1-Hsf3Jwb3LY22DKxRKtBs05
    js-flot-0.8.3-BVv7WjS6mgVJLBMR8vaufn transformers-0.5.2.0
    extra-1.6.2-5lFfezp1NaeBeNWnWTrlJV deepseq-1.4.3.0
    primitive-0.6.2.0-EI3NK1Xfv9zEcRtyXK2EwZ unix-2.7.2.2
abi-depends: base-4.10.1.0=35a7f6be752ee4f7385cb5bf28677879
             directory-1.3.0.2=60cb0805ce3e0135e907efd1476a027a
             hashable-1.2.6.1-6LeHpYZ4iRgEy9P36eCQfR=087c0712ec00d90dbe506989d07212a2
             binary-0.8.5.1=efb65bc450356b9ea572733928ffb43f
             filepath-1.4.1.2=f49190c9093d895f9f159c40e7d1ff46
             process-1.6.1.0=df30c64bceb5deb119c7833d040aa380
             unordered-containers-0.2.8.0-YOGDwOwys3HjU5i3g27KB=8c4e411a71da620d885f29fab6ff998d
             bytestring-0.10.8.2=4a9e2cf748f0e2cc5be33be7a5505ecf
             utf8-string-1.0.1.1-7sQ7eR5H5ED7poickls5aO=e0ce70380190fd366eaf58242d407bf1
             time-1.8.0.2=7cc0324e0aef789d5f0780f6640c241b
             random-1.1-LLUGZ7T9DqQ5vN0Jbcd0We=bddaa4d6513f513fbc23673a7214617b
             js-jquery-3.2.1-Hsf3Jwb3LY22DKxRKtBs05=49ece3e41a640588eea3b6580e542e51
             js-flot-0.8.3-BVv7WjS6mgVJLBMR8vaufn=9ff4b511fc81c34da701e1747457f6ca
             transformers-0.5.2.0=e04579c0363c9229351d1a0b394bf2d5
             extra-1.6.2-5lFfezp1NaeBeNWnWTrlJV=042f057de6e28a9e2e3fe70aefde26e8
             deepseq-1.4.3.0=38379f7f81eed7fe046dd2a98559af2e
             primitive-0.6.2.0-EI3NK1Xfv9zEcRtyXK2EwZ=b57ad999db73969433cb2012af075f16
             unix-2.7.2.2=1e3caa57de79efd01f1c7566785dcafa
haddock-interfaces: /usr/share/doc/haskell-shake/html/shake.haddock
haddock-html: /usr/share/doc/haskell-shake/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

